# NAME: Messengers-Voice-Support
# AUTHOR: Custom
# UPDATED: 2025-12-17
# Описание: Правила для WhatsApp, Discord и Telegram с портами для звонков

payload:
  # === WHATSAPP ===
  - DOMAIN-SUFFIX,whatsapp.com
  - DOMAIN-SUFFIX,whatsapp.net
  - DOMAIN-SUFFIX,whatsapp.biz
  - DOMAIN-KEYWORD,whatsapp
  - DST-PORT,3478,UDP
  - DST-PORT,3482,UDP
  - DST-PORT,3484,UDP
  - DST-PORT,5222,TCP
  - DST-PORT,5223,TCP
  - IP-CIDR,18.194.0.0/15,no-resolve
  - IP-CIDR,34.224.0.0/12,no-resolve
  - IP-CIDR,54.242.0.0/15,no-resolve

  # === DISCORD ===
  - DOMAIN-SUFFIX,discord.com
  - DOMAIN-SUFFIX,discord.gg
  - DOMAIN-SUFFIX,discord.media
  - DOMAIN-SUFFIX,discordapp.com
  - DOMAIN-SUFFIX,discordapp.net
  # Порты для голосовых каналов Discord (важно для статуса "RTC Connecting")
  # - DST-PORT,443,UDP
  - DST-PORT,50000-65535,UDP 
  - IP-CIDR,162.158.0.0/15,no-resolve

  # === TELEGRAM ===
  - DOMAIN-SUFFIX,t.me
  - DOMAIN-SUFFIX,tdesktop.com
  - DOMAIN-SUFFIX,telegra.ph
  - DOMAIN-SUFFIX,telegram.me
  - DOMAIN-SUFFIX,telegram.org
  - DOMAIN-SUFFIX,telegram.dog
  # Порты для звонков Telegram
  # - DST-PORT,443,UDP
  # - DST-PORT,80,UDP
  # - DST-PORT,443,TCP
  # Официальные диапазоны IP Telegram
  - IP-CIDR,91.108.4.0/22,no-resolve
  - IP-CIDR,91.108.8.0/22,no-resolve
  - IP-CIDR,91.108.12.0/22,no-resolve
  - IP-CIDR,91.108.16.0/22,no-resolve
  - IP-CIDR,91.108.56.0/22,no-resolve
  - IP-CIDR,149.154.160.0/20,no-resolve
  - IP-CIDR,185.76.151.0/24,no-resolve
  - IP-CIDR6,2001:b28:f23d::/48,no-resolve
  - IP-CIDR6,2001:b28:f23f::/48,no-resolve
  - IP-CIDR6,2001:67c:4e8::/48,no-resolve
